# Exercices java

## Bases classe/objet

### Bonjour

* Créer un programme java qui affiche "Bonjour", appeler la classe principale `Application`.

### Classe et objet

* Créer une classe `Personne` vide. Créer un objet de cette classe dans la classe `Application`.

### Constructeur

* Ajouter un constructeur à la classe `Personne`, et lui faire afficher "Constructeur!".

### Constructeurs multiples

* Ajouter un autre constructeur à la classe `Personne`, prenant en paramètre une chaine de caractères `nom`.
* Faire afficher le paramètre `nom` par le constructeur.
* Modifier la classe `Application` pour utiliser ce constructeur.

### Variable d'instance

* Ajouter à la classe `Personne` une variable d'instance `nom`.
* Dans le second constructeur, valoriser la variable d'instance avec le paramètre, et supprimer l'affichage.

### Méthodes

* Ajouter à la classe `Personne` une méthode `ecrireNom`, qui affiche `Mon nom est ` puis la valeur de la variable d'instance `nom`.
* Appeler cette méthode depuis `Application`.

### Getters/setters

* Ajouter à la classe `Personne` les getter/setter pour l'attribut `nom`.
* Modifier la classe `Application` pour changer le nom, avant l'appel à `ecrireNom`.

### Composition

* Créer une classe `Cerveau`.
* Ajouter un constructeur à cette classe qui affiche "Réflexion...".
* Ajouter un attribut `cerveau` de type `Cerveau` à la classe `Personne`.
* Initialiser cet attribut dans le constructeur avec `nom`.
